/*-
 * Copyright (c) 2019-2020 Varnish Software AS
 * All rights reserved.
 *
 * Author: Denes Matetelki <denes.matetelki@varnish-software.com>
 * Author: Dridi Boukelmoune <dridi@varnish-software.com>
 *
 * Define the task (and thread) steps we keep track of.
 *
 * This file SHALL only be included from:
 *	bin/varnishd/cache/cache_varnishd.h
 *	lib/libvarnishapi/vst.c
 *
 */

struct VST_task;

enum vst_step_e {
	VST_NONE = 0,
#define WRK_STEP(l, U) \
	VST_WRK_##U,
#define VCA_STEP(l, U) \
	VST_VCA_##U,
#define SES_STEP(l, U) \
	VST_SES_##U,
#define H2S_STEP(l, U) \
	VST_H2S_##U,
#define REQ_TASK_TRACKING
#define REQ_STEP(l, U, arg) \
	VST_REQ_##U,
#define ESI_STEP(l, U) \
	VST_ESI_##U,
#define FETCH_STEP(l, U, arg) \
	VST_FETCH_##U,
#define PROBE_STEP(l, U) \
	VST_PROBE_##U,
#include "tbl/steps.h"
	VST__MAX
};
